Package Details: python2-jedihttp-git r178.d283a73-3

Git Clone URL: https://aur.archlinux.org/python-jedihttp-git.git (read-only)
Package Base: python-jedihttp-git
Description: Simple http wrapper around jedi (with yan12125's packaging patch)
Upstream URL: https://github.com/vheon/JediHTTP
Licenses: Apache
Conflicts: python-jedihttp-git
Submitter: yan12125
Maintainer: None
Last Packager: yan12125
Votes: 2
Popularity: 0.000019
First Submitted: 2016-07-03 19:16
Last Updated: 2018-03-15 13:27

Latest Comments

cap_sensitive commented on 2018-06-18 15:21

It seems that after updating to the latest neovim-youcompleteme-core, as long as the python-jedi is installed, Python semantic would works, which means that this package is not really needed anymore.

yan12125 commented on 2018-06-18 13:02

On the other hand, I won't maintain this package anymore as I don't use this after the latest YCM update.

yan12125 commented on 2018-06-18 13:01

cap_sensitive: Thanks for letting me know. I've updated neovim-youcompleteme-core-git so that it depends on jedi directly instead of jedihttp.

cap_sensitive commented on 2018-06-18 06:53

Hi,

Recently the python-jedihttp-git cannot be built with the latest jedi: A test failed.

I have contacted the original author and it seems that they are not too interested in fixing it.

I don't know what should we do in this case, and would like to hear your opinion.

PS: It seems that if I just blindly copy a prebuilt package from another computer, the semantic completion still works. In this case maybe disable all checking makes sense?

Thanks!

yan12125 commented on 2018-03-15 13:28

@Ashymad: Done and thanks for the suggestion!

Ashymad commented on 2018-03-13 19:43

python-nose, python-coverage, python-pyhamcrest and python-webtest should be added to checkdepends.

yan12125 commented on 2017-10-25 15:32

@cap_sensitive: thanks updated!

EDIT:
PS. If also you use my neovim-youcompleteme-core-git package, don't forget to update that, too!

cap_sensitive commented on 2017-10-24 18:46

Hi,

I believe in recent release, the `jedihtp.py` has been moved to `jedihttp/__main__.py`. Please update the PKGBUILD.


Thank you.